
From: Christoph Hellwig <hch@lst.de>

This one is missing updates from the v4l1 interfaces in 2.4 to the 2.6ish
v4l2 and thus doesn't compile.  While we're at it also remove the
MOD_{INC,DEC}_USE_COUNT calls in it that were bogus even in 2.4 to avoid
false positives in grep.


---

 25-akpm/drivers/media/video/Kconfig |    2 +-
 25-akpm/drivers/media/video/planb.c |    4 ----
 2 files changed, 1 insertion(+), 5 deletions(-)

diff -puN drivers/media/video/Kconfig~mark-plan-video-driver-broken drivers/media/video/Kconfig
--- 25/drivers/media/video/Kconfig~mark-plan-video-driver-broken	Mon May 17 13:14:45 2004
+++ 25-akpm/drivers/media/video/Kconfig	Mon May 17 13:14:45 2004
@@ -33,7 +33,7 @@ config VIDEO_PMS
 
 config VIDEO_PLANB
 	tristate "PlanB Video-In on PowerMac"
-	depends on PPC_PMAC && VIDEO_DEV
+	depends on PPC_PMAC && VIDEO_DEV && BROKEN
 	help
 	  PlanB is the V4L driver for the PowerMac 7x00/8x00 series video
 	  input hardware. If you want to experiment with this, say Y.
diff -puN drivers/media/video/planb.c~mark-plan-video-driver-broken drivers/media/video/planb.c
--- 25/drivers/media/video/planb.c~mark-plan-video-driver-broken	Mon May 17 13:14:45 2004
+++ 25-akpm/drivers/media/video/planb.c	Mon May 17 13:14:45 2004
@@ -1383,8 +1383,6 @@ static int planb_open(struct video_devic
 	pb->user++;
 
 	DEBUG("PlanB: device opened\n");
-
-	MOD_INC_USE_COUNT;
 	return 0;   
 }
 
@@ -1407,8 +1405,6 @@ static void planb_close(struct video_dev
 	planb_unlock(pb);
 
 	DEBUG("PlanB: device closed\n");
-
-	MOD_DEC_USE_COUNT;  
 }
 
 static long planb_read(struct video_device *v, char *buf, unsigned long count,

_
